> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# セッションの添付ファイルを一覧表示する

> セッションのすべての添付ファイルを一覧表示します。

<Note>
  `devin_id` は、`devin-` をプレフィックスとするセッション ID です (例: `devin-abc123`) 。
</Note>

<div id="permissions">
  ## 権限
</div>

組織レベルで `ViewOrgSessions` 権限が付与されたサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/organizations/{org_id}/sessions/{devin_id}/attachments
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/sessions/{devin_id}/attachments:
    get:
      tags:
        - sessions
      summary: セッションの添付ファイルを一覧表示する
      description: セッションのすべての添付ファイルを一覧表示します。
      operationId: >-
        handle_get_session_attachments_v3_organizations__org_id__sessions__devin_id__attachments_get
      parameters:
        - description: '組織ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            example: org-abc123def456
            title: Org Id
        - description: 'DevinセッションID（プレフィックス: devin-）'
          in: path
          name: devin_id
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            example: devin-abc123def456
            title: Devin Id
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SessionAttachment'
                title: >-
                  Response Handle Get Session Attachments V3 Organizations  Org
                  Id  Sessions  Devin Id  Attachments Get
                type: array
          description: 成功レスポンス
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 未認証
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: アクセス禁止
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 見つかりません
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 競合
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 処理できないコンテンツ
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: リクエストが多すぎます
components:
  schemas:
    SessionAttachment:
      description: セッション中にアップロードされた添付ファイル。
      properties:
        attachment_id:
          title: Attachment Id
          type: string
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Type
        name:
          title: Name
          type: string
        source:
          enum:
            - devin
            - user
          title: Source
          type: string
        url:
          title: Url
          type: string
      required:
        - attachment_id
        - name
        - url
        - source
      title: SessionAttachment
      type: object
    ProblemDetail:
      description: >-
        v3 API 用の RFC 9457 application/problem+json エラーボディ。


        detail は後方互換性のため、レガシーな {"detail": ...}
        ボディから引き継がれます。その他のメンバーは追加式です。errors にはフィールドレベルのバリデーションエラーが含まれます（422
        の場合のみ）。
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: この事象に固有の、人が読める説明。
          title: Detail
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: フィールド単位のバリデーションエラー（422 レスポンスのみ）。
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: この発生箇所の URI 参照（リクエストパス）。
          title: Instance
        status:
          description: HTTP ステータスコード。
          title: Status
          type: integer
        title:
          description: 問題タイプを人が読める短い要約。
          title: Title
          type: string
        type:
          default: about:blank
          description: 問題タイプを識別する URI 参照。
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````